# eric4.Plugins.VcsPlugins.vcsSubversion.ConfigurationPage.SubversionPage

Module implementing the Subversion configuration page.

### Global Attributes

None

### Classes

SubversionPage | Class implementing the Subversion configuration page.

### Functions

None

## SubversionPage

Class implementing the Subversion configuration page.

### Derived from

ConfigurationPageBase, Ui_SubversionPage

### Class Attributes

None

### Class Methods

None

### Methods

SubversionPage | Constructor
on_configButton_clicked | Private slot to edit the Subversion config file.
on_serversButton_clicked | Private slot to edit the Subversion servers file.
save | Public slot to save the Subversion configuration.

### Static Methods

None

#### SubversionPage (Constructor)

SubversionPage(plugin)

Constructor

plugin
  reference to the plugin object

#### SubversionPage.on_configButton_clicked

on_configButton_clicked()

Private slot to edit the Subversion config file.

#### SubversionPage.on_serversButton_clicked

on_serversButton_clicked()

Private slot to edit the Subversion servers file.

#### SubversionPage.save

save()

Public slot to save the Subversion configuration.

Up